> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /usaspending/awards/funding

> Get federal account funding records for an award

**Price:** 5 credits per 100 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/usaspending/awards/funding
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/usaspending/awards/funding:
    post:
      tags:
        - /usaspending
      summary: /usaspending/awards/funding
      description: |-
        Get federal account funding records for an award

        **Price:** 5 credits per 100 results
      operationId: __api_usaspending_awards_funding_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UsaspendingAwardFundingPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsaspendingFunding'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UsaspendingAwardFundingPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        award:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        sort:
          $ref: '#/components/schemas/UsaspendingFundingSort'
          default: reporting_fiscal_date
        order:
          $ref: '#/components/schemas/UsaspendingSortOrder'
          default: desc
      type: object
      required:
        - award
        - count
    UsaspendingFunding:
      properties:
        '@type':
          type: string
          default: UsaspendingFunding
        reporting_fiscal_year:
          anyOf:
            - type: integer
            - type: 'null'
        reporting_fiscal_quarter:
          anyOf:
            - type: integer
            - type: 'null'
        reporting_fiscal_month:
          anyOf:
            - type: integer
            - type: 'null'
        transaction_obligated_amount:
          anyOf:
            - type: number
            - type: 'null'
        gross_outlay_amount:
          anyOf:
            - type: number
            - type: 'null'
        disaster_emergency_fund_code:
          anyOf:
            - type: string
            - type: 'null'
        federal_account:
          anyOf:
            - type: string
            - type: 'null'
        account_title:
          anyOf:
            - type: string
            - type: 'null'
        program_activity_code:
          anyOf:
            - type: string
            - type: 'null'
        program_activity_name:
          anyOf:
            - type: string
            - type: 'null'
        object_class:
          anyOf:
            - type: string
            - type: 'null'
        object_class_name:
          anyOf:
            - type: string
            - type: 'null'
        awarding_agency_name:
          anyOf:
            - type: string
            - type: 'null'
        funding_agency_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    UsaspendingFundingSort:
      type: string
      enum:
        - reporting_fiscal_date
        - transaction_obligated_amount
        - gross_outlay_amount
        - disaster_emergency_fund_code
        - federal_account
        - account_title
        - program_activity
        - object_class
        - awarding_agency_name
        - funding_agency_name
    UsaspendingSortOrder:
      type: string
      enum:
        - asc
        - desc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````